Bug 427722 - Review Request: xsettings-kde - XSettings Daemon for KDE
Review Request: xsettings-kde - XSettings Daemon for KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 22:38 EST by Rex Dieter
Modified: 2012-03-15 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.6-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
modified spec (2.46 KB, application/octet-stream)
2008-01-26 19:45 EST, manuel wolfshant
no flags Details

  None (edit)
Description Rex Dieter 2008-01-06 22:38:40 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/xsettings-kde/xsettings-kde.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/xsettings-kde/xsettings-kde-0.6-2.src.rpm
Description:
This package provides a XSettings daemon for KDE Desktop Environment.
It allows XSettings aware applications (all GTK+ 2 and GNOME 2 applications)
to be informed instantly of changes in KDE configuration, such as theme name,
default font and so on.
Comment 1 Rex Dieter 2008-01-06 22:42:48 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=329974

rpmlint clean.

Tested only in a KDE3 envionment (so far).
Comment 2 Rex Dieter 2008-01-26 17:37:36 EST
I've confirmed that this does *not* work in kde4.  Haven't had a chance to
dissect the code to determine why.
Comment 3 manuel wolfshant 2008-01-26 19:43:44 EST
It's almost OK, but a couple of fixes are needed
- please settle with either $RPM_BUILD_ROOT or %{buildroot}; you are using each
version twice
- as far as I understand, upstream is Mandriva's svn; please add a comment
indicating the manner to replicate the source file that you have included (bonus
points for mentioning the exact version )
- your make line does not include the magic %{?_smp_mflags}
- the source tar includes COPYING, therefore the final rpm should contain it, too
- I assume that not using desktop-file-install is intentional ?


I've attached a modified spec which fixes points 1-3 above.
Comment 4 manuel wolfshant 2008-01-26 19:45:08 EST
Created attachment 293067 [details]
modified spec

modified spec
- includes a comment describing the method to download upstream sources
- small cosmetic fixes
- packages the license file
Comment 5 Rex Dieter 2008-05-05 08:16:30 EDT
thx, updated finally (sorry, f9 madness).  

%changelog
* Sun Jan 27 2008 Manuel Wolfshant <wolfy@fedoraproject.org> 0.6-3
- small fixes

Spec URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/xsettings-kde/xsettings-kde.spec
SRPM URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/xsettings-kde/xsettings-kde-0.6-3.src.rpm

scratch build:
F-8: http://koji.fedoraproject.org/koji/taskinfo?taskID=595901
Comment 6 manuel wolfshant 2008-05-05 10:00:39 EDT
APPROVED
Comment 7 Rex Dieter 2008-05-05 10:24:32 EDT
New Package CVS Request
=======================
Package Name: xsettings-kde
Short Description: XSettings Daemon for KDE
Owners: rdieter
Branches: F-7 F-8 EL-5
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-05 11:45:49 EDT
cvs done. (Also did a F-9 branch).
Comment 9 Fedora Update System 2008-05-05 14:29:19 EDT
xsettings-kde-0.6-3.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-05-10 09:52:31 EDT
xsettings-kde-0.6-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-05-10 09:53:39 EDT
xsettings-kde-0.6-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.